Galaxietool Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000749Toolbar(No Category)public2016-04-20 18:212016-05-02 17:50
Reportersupermopf 
Assigned ToeX0du5 
PrioritynormalSeveritytweakReproducibilityalways
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary0000749: [2.8.0] Spielernachrichten & Andauernd auftretene Fehlermeldung
DescriptionEs wird auf jeder Seite (außer einer Spielernachricht) folgende Fehlermeldung ausgegeben:

Error in submit_single_player_chatbox:TypeError: dom_content.getElementsByClassName(...)[0] is undefined

Zudem erhält man auch Fehlermeldungen wenn man die Funktion "Übertrage Spielernachrichten (Aktivität)" ausschaltet.

Der Script funktioniert dennoch, bloß das Fenster mit der Fehlermeldung stört ;)

Also einfach vorher mal checken ob's existiert, oder mit try catch arbeiten^^
Steps To ReproduceFirefox 45.0.2
Galaxytoolbar 2.8.0


-> Eine Ogame Seite die keine Spielernachricht ist öffnen (z.B. Versorgung)
TagsNo tags attached.
Browser and Browser VersionGalaxytoolbar 2.8.0 & Firefox 45.0.2
Hoster
MySQL Version
PHP Version
rev
Attached Files

- Relationships

-  Notes
(0001706)
eX0du5 (manager)
2016-04-20 19:54

Hi,
ich erhalte nirgends eine Fehlermeldung oder ähnliches mit der Firefox Extension.
Ich teste gegen OGame Version 6.1.5. Welche Version hast du?
Und was ist die "Versorgungsseite"? Ich habe die Englische Version von OGame im Testuni und bin eigentlich alle Seiten durch. Bis auf die Empireübersicht gab es überall die Chatbar.
Wenn ich diese aktiviere gibt es auch keine Meldungen.
(0001707)
supermopf (reporter)
2016-04-20 20:17

Bei mir läuft 6.1.6

Es tritt eigentlich auf jeder Seite auf... Außer wenn er halt auf der (Versorgung ist die Gebäude Seite)

Hier mal ein Screen:

http://puu.sh/opxF3/01f0000019.jpg [^]
(0001709)
eX0du5 (manager)
2016-04-20 20:37

Ich dachte immer, dass ich im Beta Unit eine Betaversion hätte... warum hast du dann eine höhere Version? Wie soll man sich da vorbereiten :-(
Das lief alles schonmal besser bei der GF.

Kannst du mir bitte mal den gesamten Inhalt des Fensters schicken? Im Moment ist der Inhalt abgeschnitten. Evtl. kann ich daraus irgendwo schließen woher es kommt.

Und try-catch ist bereits drum - das ist nur die Fehlermeldung des gefangenen CATCHES ;-)
(0001710)
supermopf (reporter)
2016-04-20 20:59

Ja stimmt, sonst würde der Script ja ganz abkacken^^

Hab mir mal komplett frisch den Mozilla Portable geholt und mal das Addon installiert, keine Veränderung.

http://puu.sh/opApF/4b3b2679b2.jpg [^]
(0001711)
eX0du5 (manager)
2016-04-24 09:53

Mit Inhalt des Screens meinte ich Copy & Paste. Dann hast du auch alles was über die Fensterbreite hinaus geht. Im Moment kann ich den Teil ja nicht lesen ;-)
Meine Exceptions enthalten aber den kompletten Exceptiontext von JS. Ich hoffe so die Stelle finden zu können.
(0001712)
supermopf (reporter)
2016-04-24 12:55

Also in dem Galaxytool-Fenster steht halt nur:

Error in submit_single_player_chatbox:TypeError: dom_content.getElementsByClassName(...)[0] is undefined

Wie ich es auch im ersten Post schon geschrieben hab...

Ich häng dir hier gleich noch einen privaten Post ran mit dem Source von der OGame Page^^


In der Browser-Console bekomme ich folgendes:

Galaxytool extension: unexpected error at galaxytoolbar.GTPlugin_general.set_status: TypeError: can't access dead object
Galaxytool extension: Error at set_status: TypeError: can't access dead object for html_id=galaxyplugin1 and text=Error in submit_single_player_chatbox:TypeError: dom_content.getElementsByClassName(...)[0] is undefined
(0001714)
eX0du5 (manager)
2016-04-27 17:49

Okay, danke. Mal sehen ob das weiter hilft. An manchen Stellen hilft der Sourcecode nicht, da ich direkt den Inhalt des Ajax Requests abfange.
Und Datenschutz und pastebin sind inkompatibel ;-)
(0001715)
eX0du5 (manager)
2016-04-27 17:52
edited on: 2016-04-27 19:22

Yeah, U680 hat endlich eine neuere Version und damit bekomme ich den Fehler auch!

Update: Das gleiche Coding läuft im Firefox, aber nicht mehr im Chrome. Im Chrome wird der AJAX Hook den ich eingerichtet habe erst zu spät angesetzt. OGame schickt jetzt für die Spieler-Online-Anzeige sofort einen XHR Request zum Server wodurch der Hook erst angesetzt wird wenn der Request schon abgeschickt wurde. Daher bekommt die Chrome Extension nichts davon mit :-(
Firefox kommt damit klar. Nur hat OGame etwas an der internen HTML Struktur geändert wodurch jetzt die Fehlermeldung kommt.
Mal schauen wie ich das jetzt schnell für Firefox behoben bekomme. Für Chrome hatte ich es zum Glück noch nicht freigegeben... und ich habe im Moment keine Ahnung wie ich das einfangen soll :-(

(0001716)
eX0du5 (manager)
2016-04-27 20:58

Bitte warte bis Version 2.8.2 von Mozilla released wurde und teste es dann erneut.
OGame hat leider ein paar inkompatible Änderungen vorgenommen (okay, irgendwas müssen sie ja dürfen ;-) ) und das hat entsprechend bei mir reingehauen.
Die größte Umstellung war, dass die Spielernachrichten und Chats jetzt immer per separatem Web-Request geladen werden. Dadurch liefen die Skripte immer in Fehler, da zu dem Zeitpunkt als die Seite geladen wurde der Content noch unterwegs war.

Für Chrome hab ich im Moment noch gar keine Idee wie ich das eingefangen bekomme.
Firefox wirft mir das OnReady Event noch bevor die Webseite dran kommt (OGame), Chrome erst danach oder parallel. Dadurch bekomme ich von diesem einen Request nichts mit :-(
(0001717)
supermopf (reporter)
2016-04-28 18:02

Also der Fehler tritt mit 2.8.2 jetzt nicht mehr auf (Version 6.1.7).

Jedoch erhalte ich ab und zu "Unbekanntes Universum".

Wobei es eigentlich gesetzt ist...

Browserkonsole sagt nix dazu^^

Ich habe den Fehler aber auch in 2.8.1

Hier die Debuginfos:

-----
Gebäudeseite gefunden
Target URL:http://raid.gamerangerz.de/secret/galaxyplugin.php [^]
Data to send:

<?xml version="1.0" encoding="UTF-8"?>
<planetinfos xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" [^] xsi:noNamespaceSchemaLocation="planetinfo.xsd">
    <header version="2.8.2" universe="Merkur" debug="true" language="german" token="f956a0569160f0730f1c9f3a9b5fbd1c" content_type="planetinfo"/>
    <planetinfo playername="supermopf" playerid="101773" planetname="Die Hood" moon="false" galaxy="1" system="331" planet="12">
        <entry name="Metal" amount="1540700"/>
        <entry name="Crystal" amount="429453"/>
        <entry name="Deuterium" amount="131025"/>
        <entry name="Energy" amount="8158"/>
        <entry name="Metal Mine" amount="26"/>
        <entry name="Crystal Mine" amount="24"/>
        <entry name="Deuterium Synthesizer" amount="20"/>
        <entry name="Solar Plant" amount="23"/>
        <entry name="Fusion Reactor" amount="11"/>
        <entry name="Solar Satellite" amount="84"/>
        <entry name="Metal Storage" amount="10"/>
        <entry name="Crystal Storage" amount="9"/>
        <entry name="Deuterium Tank" amount="7"/>
    </planetinfo>
</planetinfos>


Spioberichte übertragen
Unbekanntes Universum!
--------
(0001718)
eX0du5 (manager)
2016-04-28 19:49

Schau mal bitte ob du 2 Einträge in der Extension hinterlegt hast. Das sieht so aus, als hättest du eine Erfolgsmeldung für das Erste Universum und eine Fehlermeldung für das zweite.
Danke für die Rückmeldung, dass der Rest tut :-)
(0001719)
supermopf (reporter)
2016-04-28 20:00

Ich hab nur eins hinterlegt.
Hab einfach mal eine Checkbox rausgenommen und wieder rein.
War wahrscheinlich noch veraltete Konfiguration^^

Also: Erledigt

- Issue History
Date Modified Username Field Change
2016-04-20 18:21 supermopf New Issue
2016-04-20 19:35 eX0du5 Assigned To => eX0du5
2016-04-20 19:35 eX0du5 Status new => assigned
2016-04-20 19:54 eX0du5 Note Added: 0001706
2016-04-20 19:54 eX0du5 Status assigned => feedback
2016-04-20 20:17 supermopf Note Added: 0001707
2016-04-20 20:17 supermopf Status feedback => assigned
2016-04-20 20:37 eX0du5 Note Added: 0001709
2016-04-20 20:38 eX0du5 Status assigned => feedback
2016-04-20 20:59 supermopf Note Added: 0001710
2016-04-20 20:59 supermopf Status feedback => assigned
2016-04-24 09:53 eX0du5 Note Added: 0001711
2016-04-24 09:53 eX0du5 Status assigned => feedback
2016-04-24 12:55 supermopf Note Added: 0001712
2016-04-24 12:55 supermopf Status feedback => assigned
2016-04-27 17:49 eX0du5 Note Added: 0001714
2016-04-27 17:52 eX0du5 Note Added: 0001715
2016-04-27 19:22 eX0du5 Note Edited: 0001715 View Revisions
2016-04-27 20:58 eX0du5 Note Added: 0001716
2016-04-27 20:58 eX0du5 Status assigned => feedback
2016-04-28 18:02 supermopf Note Added: 0001717
2016-04-28 18:02 supermopf Status feedback => assigned
2016-04-28 19:49 eX0du5 Note Added: 0001718
2016-04-28 19:49 eX0du5 Status assigned => feedback
2016-04-28 20:00 supermopf Note Added: 0001719
2016-04-28 20:00 supermopf Status feedback => assigned
2016-05-02 17:50 eX0du5 Status assigned => resolved
2016-05-02 17:50 eX0du5 Resolution open => fixed



Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker